This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 815168 - joydev module not included in Fedora 17
joydev module not included in Fedora 17
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 22:20 EDT by Jason Montleon
Modified: 2012-04-23 10:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 10:16:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2012-04-22 22:20:47 EDT
Description of problem:
After upgrading to Fedora 17 I noticed my joystick no longer works. It appears that the joydev module is not included with the kernel.

Version-Release number of selected component (if applicable):
kernel-3.3.2-8.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install/Upgrade to Fedora 17
2. Try to use Joystick
  
Actual results:
Notice the joystick does not work.

Expected results:
Joystick works
Comment 1 Josh Boyer 2012-04-23 10:16:10 EDT
Install the kernel-modules-extra package.  It was moved there.
Comment 2 Jason Montleon 2012-04-23 10:54:05 EDT
Thanks. Can mention of this new package be mentioned in the release notes? I can open a new bug if that works better. 

It is just sort of unexpected to see functionality go away after an upgrade, and short of defaulting the install of the package, which probably defeats the purpose of what it's trying to do, documentation would probably be the next best thing.

http://fedorapeople.org/groups/docs/release-notes/en-US/#id768189

Note You need to log in before you can comment on or make changes to this bug.